# Class CSCertificateStoreService

java.lang.Object
com.io7m.certusine.vanilla.internal.store.CSCertificateStoreService

All Implemented Interfaces:
  `CSCertificateStoreServiceType`, `com.io7m.repetoir.core.RPServiceType`, `AutoCloseable`, `Flow.Subscriber<CSConfiguration>`

public final class CSCertificateStoreService extends Object implements CSCertificateStoreServiceType, Flow.Subscriber<CSConfiguration>
A certificate store service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `String`
  `description()`
  `void`
  `onComplete()`
  `void`
  `onError(Throwable throwable)`
  `void`
  `onNext(CSConfiguration item)`
  `void`
  `onSubscribe(Flow.Subscription newSubscription)`
  `CSCertificateStoreType`
  `store()`
  `static CSCertificateStoreServiceType`
  `store(CSTelemetryServiceType telemetry, CSConfigurationServiceType configuration, CSCertificateStoreFactoryType stores)`
  Open a certificate store service.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### store

    public static CSCertificateStoreServiceType store(CSTelemetryServiceType telemetry, CSConfigurationServiceType configuration, CSCertificateStoreFactoryType stores) throws IOException
    Open a certificate store service.
    Parameters:
      `telemetry` - The telemetry service
      `configuration` - The configuration service
      `stores` - The store factory
    Returns:
      A new service
    Throws:
      `IOException` - On errors

  - ### store

    public CSCertificateStoreType store()
    Specified by:
      `store` in interface `CSCertificateStoreServiceType`
    Returns:
      The open store

  - ### description

    public String description()
    Specified by:
      `description` in interface `com.io7m.repetoir.core.RPServiceType`

  - ### close

    public void close() throws Exception
    Specified by:
      `close` in interface `AutoCloseable`
    Throws:
      `Exception`

  - ### onSubscribe

    public void onSubscribe(Flow.Subscription newSubscription)
    Specified by:
      `onSubscribe` in interface `Flow.Subscriber<CSConfiguration>`

  - ### onNext

    public void onNext(CSConfiguration item)
    Specified by:
      `onNext` in interface `Flow.Subscriber<CSConfiguration>`

  - ### onError

    public void onError(Throwable throwable)
    Specified by:
      `onError` in interface `Flow.Subscriber<CSConfiguration>`

  - ### onComplete

    public void onComplete()
    Specified by:
      `onComplete` in interface `Flow.Subscriber<CSConfiguration>`